// Generated by https://quicktype.io

class Chapters {

  List<Chapter> items =[];

  Chapters();

  Chapters.fromJsonList( List<dynamic> jsonList){
    if(jsonList == null) return;

    for(var item in jsonList) {
      final chapter = new Chapter.fromJsonMap(item);
      this.items.add(chapter);
    }
  }
}

class Chapter {
  int id;
  String name;
  String image;
  String imageResource;
  String description;
  String text;
  String video;
  String paper;
  String createdAt;
  String updatedAt;
  int unitId;
  List<dynamic> tutorial;

  Chapter({
    this.id,
    this.name,
    this.image,
    this.imageResource,
    this.description,
    this.text,
    this.video,
    this.paper,
    this.createdAt,
    this.updatedAt,
    this.unitId,
    this.tutorial,
  });

   Chapter.fromJsonMap(Map<String, dynamic> json){
    id             = json['id'];
    name           = json['name'];
    description    = json['description'];
    image          = json['image'];
    imageResource  = json['image_resource'];
    text           = json['text'];
    video          = json['video'];
    paper          = json['paper'];
    createdAt      = json['created_at'];
    updatedAt      = json['updated_at'];
    unitId         = json['unit_id'];
    tutorial       = json['tutorial'];
  }

  getImg(){

    if(imageResource == null) return 'https://imgclasificados5.emol.com/Publicador/116/F11922917111412972471611595531933226122116.png';
    
    return 'http://tutorial-tahiti.000webhostapp.com/${this.imageResource}';
  }

}
